Subject: Re: Windows XP & Internet Connection Firewall
From: Greg Kremer <[email-masked]>
To: [email-masked]
Date: Wed, 09 Apr 2003 15:24:34 -0400

Rob,
Thanks for the quick reply.  
The only problem is that in Windows XP you cannot specify port numbers 
when you are running the Internet connection firewall that is part of 
Windows XP, Unless that can be done via a registry hack.  I would be 
much appreciated if someone does know how to do this could let me know.

Thanks,
Greg Kremer

Rob Siklos wrote:

>Hi Greg,
>
>Someone correct me if I'm wrong, but I think you have to configure your
>firewall to allow incoming connections on port 6000 (this is where X display
>info gets sent).
>
>Rob.
>
>
>----- Original Message -----
>From: "Greg Kremer" <[email-masked]>
>To: <[email-masked]>
>Sent: Wednesday, April 09, 2003 2:59 PM
>Subject: Windows XP & Internet Connection Firewall
>
>
>  
>
>>To whom it may concern:
>>
>>First of all I would like to thank you for making Cygwin and for your
>>time in helping with the following problem.
>>
>>
>>I have been troubleshooting a problem I have notice with cygwin.  First
>>system specs:
>>
>>Pentium 4 2ghz
>>256Mb Ram
>>20GB HD
>>Windows XP Pro Service pack 1
>>with
>>Cygwin (just downloaded 1 week ago)
>>
>>now my question:
>>
>>When I run cygwin with the Internet Connection Firewall running I can
>>connect to our UNIX box but I cannot run the Xwindows Applications.  If
>>I run the following command:
>>
>>emacs -d lc116052:0.0
>>
>> after about 2 minutes the UNIX box reports "emacs: Cannot connect to X
>>Server lc116052:0.0.  Check the DISPLAY enviroment variable or use '-d'.
>> Also use the 'xhost' program to verify that it is set to permit
>>connections from your machine."
>>
>>If I disable the Internet Connection Firewall the emacs command works
>>    
>>
>fine.
>  
>
>>I was just wondering if there is another work around besides stopping
>>the Internet Connection Firewall?
>>
>>Thanks for your help
>>
>>Greg Kremer
>>
>>
>>--
>>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>>Bug reporting:         http://cygwin.com/bugs.html
>>Documentation:         http://cygwin.com/docs.html
>>FAQ:                   http://cygwin.com/faq/
>>
>>
>>    
>>
>
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/